Bug 1307149 - Review Request: mkdocs-material - A material design theme for MkDocs
Review Request: mkdocs-material - A material design theme for MkDocs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 15:33 EST by William Moreno
Modified: 2016-05-20 13:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-20 13:42:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2016-02-12 15:33:43 EST
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/mkdocs-material.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/mkdocs-material-0.1.1-1.fc24.src.rpm
Description: A material design theme for MkDocs
Fedora Account System Username: williamjmorenor
Comment 1 Rex Dieter 2016-04-05 13:03:36 EDT
I can review this
Comment 2 Rex Dieter 2016-04-05 13:10:52 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13566708

naming: ok

sources: ok (mostly)
4d0a704ab73d2c4dafc313ec313362ea  0.1.1.tar.gz

1. SHOULD follow
https://fedoraproject.org/wiki/Packaging:SourceURL#Git_Tags
so tarball name could be more legible (ie, be of the form:  %{name}-%{version}.tar.gz)

2. license NOT ok, README.md explicitly mentions MIT, so this MUST be:
License: MIT

$ rpmlint *.src.rpm
mkdocs-material.src: W: no-version-in-last-changelog

3. SHOULD follow changelog guidelines:
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Changelogs
all of which explicitly include the version-release of the package

macros: ok

scriptlets: ok (n/a)


please fix MUST item 2, and consider addressing SHOULD items 1,3 as well
Comment 3 William Moreno 2016-04-08 17:47:56 EDT
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/mkdocs-material.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/mkdocs-material-0.2.2-1.fc25.src.rpm

Update to last release
Fix license tag
Fix changelog
Comment 4 William Moreno 2016-04-26 10:31:04 EDT
Ping!
Comment 5 Rex Dieter 2016-04-26 14:53:28 EDT
Thanks for reminder, looks good.

APPROVED
Comment 6 William Moreno 2016-04-26 17:00:43 EDT
Thanks for the review.
Comment 7 Gwyn Ciesla 2016-04-27 10:11:00 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mkdocs-material
Comment 8 Fedora Update System 2016-05-04 00:21:15 EDT
mkdocs-material-0.2.2-1.fc24 mkdocs-cinder-0.9.3-1.fc24 mkdocs-basic-theme-1.0.1-3.fc24 mkdocs-alabaster-0.7.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-988ac47c35
Comment 9 Fedora Update System 2016-05-04 10:29:08 EDT
mkdocs-alabaster-0.7.1-1.fc24, mkdocs-basic-theme-1.0.1-3.fc24, mkdocs-cinder-0.9.3-1.fc24, mkdocs-material-0.2.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-988ac47c35
Comment 10 Fedora Update System 2016-05-20 13:42:18 EDT
mkdocs-alabaster-0.7.1-1.fc24, mkdocs-basic-theme-1.0.1-3.fc24, mkdocs-cinder-0.9.3-1.fc24, mkdocs-material-0.2.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.